Electron ARM Dependeny Error

Hi,
I cross-compile a ARM Version of my electron app that runs nice on Ubuntu x64.
Now struggling during the install the .deb Package on a ARM Device like Raspberry PI 3.
The installation ends up with diffrent dependency problems like gconf2 (dependency is not statisfiable).
Raspbian or Ubuntu Mate - both give the same error.

Can anyone give a hint how you run the electron package on ARM Devices.

Best regards

Problem fixed by adding the following to my package.json
"linux": { "target": { "target": "deb", "arch": "armv7l" }, "category": "Development" }, "deb": { "fpm": [ "--architecture", "armhf" ] }

Thanks to:

1 Like